Descriptoin: have lintian shutup
Forwarded: no need
diff --git a/etc/init.d/smartdns b/etc/init.d/smartdns
index ca6c014..33ba097 100644
--- a/etc/init.d/smartdns
+++ b/etc/init.d/smartdns
@@ -17,8 +17,8 @@
 
 ### BEGIN INIT INFO
 # Provides:        smartdns
-# Required-Start:  $network 
-# Required-Stop:   $network 
+# Required-Start:  $network $local_fs
+# Required-Stop:   $network $local_fs
 # Default-Start:   2 3 4 5
 # Default-Stop:
 # Short-Description: Start smartdns server
@@ -26,7 +26,10 @@
 
 PATH=/sbin:/bin:/usr/sbin:/usr/bin
 
+. /lib/lsb/init-functions
+if test -r /etc/default/smartdns; then
 . /etc/default/smartdns
+fi
 SMARTDNS=/usr/sbin/smartdns
 PIDFILE=/var/run/smartdns.pid
 
@@ -83,6 +86,9 @@ case $1 in
 		echo "smartdns server is running."
 		status=$?
 		;;
+	reload|force-reload)
+		$0 restart
+		;;
 	*)
 		echo "Usage: $0 {start|stop|restart|status}"
 		exit 2
